### Hierarchy

- BreadcrumbItemComponent

## Index

### Inputs

- ariaCurrent
- current
- route
- routeExtras
- skeleton
- href

### Outputs

- navigation

### Constructors

- constructor

### Properties

- _href
- ariaCurrent
- current
- domSanitizer
- itemClass
- navigation
- route
- routeExtras
- router
- skeleton

### Accessors

- href

### Methods

- navigate
- useTemplate

## Constructors

### constructor

- new BreadcrumbItemComponent(domSanitizer: DomSanitizer, router: Router): BreadcrumbItemComponent

- - Defined in src/breadcrumb/breadcrumb-item.component.ts:61

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns BreadcrumbItemComponent

## Properties

### Protected _href

_href: string

- Defined in src/breadcrumb/breadcrumb-item.component.ts:61

### ariaCurrent

@Input()
ariaCurrent: string = "page"

- Defined in src/breadcrumb/breadcrumb-item.component.ts:55

### current

@HostBinding({"hostPropertyName":"class.bx--breadcrumb-item--current"})
@Input()
current: boolean = false

- Defined in src/breadcrumb/breadcrumb-item.component.ts:57

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/breadcrumb/breadcrumb-item.component.ts:63

### itemClass

@HostBinding({"hostPropertyName":"class.bx--breadcrumb-item"})
itemClass: boolean = true

- Defined in src/breadcrumb/breadcrumb-item.component.ts:59

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/breadcrumb/breadcrumb-item.component.ts:51

### route

@Input()
route: any[]

- Defined in src/breadcrumb/breadcrumb-item.component.ts:40

### routeExtras

@Input()
routeExtras: any

- Defined in src/breadcrumb/breadcrumb-item.component.ts:46

### Protected router

@Optional()
router: Router

- Defined in src/breadcrumb/breadcrumb-item.component.ts:63

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/breadcrumb/breadcrumb-item.component.ts:53

## Accessors

### href

@Input()
href:

- Defined in src/breadcrumb/breadcrumb-item.component.ts:28
- Defined in src/breadcrumb/breadcrumb-item.component.ts:32

## Methods

### navigate

- navigate(event: any): void

- - Defined in src/breadcrumb/breadcrumb-item.component.ts:69

  #### Parameters

  - ##### event: any

  #### Returns void

### useTemplate

- useTemplate(): string | true | any[]

- - Defined in src/breadcrumb/breadcrumb-item.component.ts:65

  #### Returns string | true | any[]

Generated using TypeDoc